CVE-2023-25652

Name
CVE-2023-25652
Description
Git is a revision control system. Prior to versions 2.30.9, 2.31.8, 2.32.7, 2.33.8, 2.34.8, 2.35.8, 2.36.6, 2.37.7, 2.38.5, 2.39.3, and 2.40.1, by feeding specially crafted input to `git apply --reject`, a path outside the working tree can be overwritten with partially controlled contents (corresponding to the rejected hunk(s) from the given patch). A fix is available in versions 2.30.9, 2.31.8, 2.32.7, 2.33.8, 2.34.8, 2.35.8, 2.36.6, 2.37.7, 2.38.5, 2.39.3, and 2.40.1. As a workaround, avoid using `git apply` with `--reject` when applying patches from an untrusted source. Use `git apply --stat` to inspect a patch before applying; avoid applying one that create a conflict where a link corresponding to the `*.rej` file exists.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://github.com/git/git/commit/668f2d53613ac8fd373926ebe219f2c29112d93e
MISC https://github.com/git/git/security/advisories/GHSA-2hvf-7c8p-28fx
MISC https://github.com/git/git/commit/18e2b1cfc80990719275d7b08e6e50f3e8cbc902
MISC http://www.openwall.com/lists/oss-security/2023/04/25/2
MISC https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/PI7FZ4NNR5S5J5K6AMVQBH2JFP6NE4L7/
MISC https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/YFZWGQKB6MM5MNF2DLFTD7KS2KWPICKL/
MISC https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/RKOXOAZ42HLXHXTW6JZI4L5DAIYDTYCU/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/BSXOGVVBJLYX26IAYX6PJSYQB36BREWH/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:git-scm:git:2.40.0:*:*:*:*:*:*:* git == None == 2.40.0
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.39.0 < 2.39.3
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.38.0 < 2.38.5
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.37.0 < 2.37.7
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.36.0 < 2.36.6
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.35.0 < 2.35.8
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.34.0 < 2.34.8
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.33.0 < 2.33.8
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.32.0 < 2.32.7
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= 2.31.0 < 2.31.8
cpe:2.3:a:git-scm:git:*:*:*:*:*:*:*:* git >= None < 2.30.9

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
git 3.17-main 2.38.5-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
git 3.16-main 2.36.6-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
git 3.15-main 2.34.8-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
git 3.14-main 2.32.7-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
git 3.18-main 2.40.1-r0 Natanael Copa <ncopa@alpinelinux.org> fixed